Skip to content
Start here

Get Cancel Reason

GET/accounts/{account_id}/subscriptions/{subscription_identifier}/cancel-reason

Gets the cancellation reason for an account subscription.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
subscription_identifier: string

Subscription identifier tag.

maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: object { id, other, reason_code, 2 more }
id: optional string

The cancel reason identifier.

other: optional string

Additional cancellation details.

reason_code: optional array of string

The cancellation reason codes.

submitted: optional string

When the cancel reason was submitted.

formatdate-time
subscription_id: optional string

The subscription identifier.

success: true

Whether the API call was successful

Get Cancel Reason

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/subscriptions/$SUBSCRIPTION_IDENTIFIER/cancel-reason \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "other": "other",
    "reason_code": [
      "string"
    ],
    "submitted": "2019-12-27T18:11:19.117Z",
    "subscription_id": "subscription_id"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "other": "other",
    "reason_code": [
      "string"
    ],
    "submitted": "2019-12-27T18:11:19.117Z",
    "subscription_id": "subscription_id"
  },
  "success": true
}